## nvidia-settings 331.20

=== doc/Makefile ===
#
# nvidia-settings: A tool for configuring the NVIDIA X driver on Unix
# and Linux systems.
#
# Copyright (C) 2008-2012 NVIDIA Corporation.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses>.
#


##############################################################################
# include common variables and functions
##############################################################################

UTILS_MK_DIR ?= ..

include $(UTILS_MK_DIR)/utils.mk


##############################################################################
# The common-utils directory may be in one of two places: either
# elsewhere in the driver source tree when building nvidia-settings as
# part of the NVIDIA driver build (in which case, COMMON_UTILS_DIR
# should be defined by the calling makefile), or directly in the
# source directory when building from the nvidia-settings source
# tarball (in which case, the below conditional assignments should be
# used)
##############################################################################

COMMON_UTILS_DIR      ?= ../src/common-utils


##############################################################################
# assign variables
##############################################################################

MANPAGE_GZIP ?= 1

MANPAGE_gzipped         = $(OUTPUTDIR)/nvidia-settings.1.gz
MANPAGE_not_gzipped 	= $(OUTPUTDIR)/nvidia-settings.1
ifeq ($(MANPAGE_GZIP),1)
  MANPAGE               = $(MANPAGE_gzipped)
else
  MANPAGE               = $(MANPAGE_not_gzipped)
endif
GEN_MANPAGE_OPTS        = $(OUTPUTDIR)/gen-manpage-opts
OPTIONS_1_INC           = $(OUTPUTDIR)/options.1.inc

common_cflags += -I $(COMMON_UTILS_DIR)
common_cflags += -I ../src/libXNVCtrlAttributes

CFLAGS += $(common_cflags)
HOST_CFLAGS += $(common_cflags)

##############################################################################
# build rules
##############################################################################

.PNONY: all install MANPAGE_install clean clobber

all: $(MANPAGE)

install: MANPAGE_install

MANPAGE_install: $(MANPAGE)
	$(MKDIR) $(MANDIR)
	$(INSTALL) $(INSTALL_DOC_ARGS) $< $(MANDIR)/$(notdir $<)

clean clobber:
	rm -rf $(MANPAGE) *~ $(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d \
		$(GEN_MANPAGE_OPTS) $(OPTIONS_1_INC)


##############################################################################
# Documentation
##############################################################################

AUTO_TEXT = ".\\\" WARNING: THIS FILE IS AUTO-GENERATED!  Edit $< instead."

doc: $(MANPAGE)

GEN_MANPAGE_OPTS_SRC  = ../src/gen-manpage-opts.c
GEN_MANPAGE_OPTS_SRC += $(COMMON_UTILS_DIR)/gen-manpage-opts-helper.c

GEN_MANPAGE_OPTS_OBJS = $(call BUILD_OBJECT_LIST,$(GEN_MANPAGE_OPTS_SRC))

$(foreach src, $(GEN_MANPAGE_OPTS_SRC), \
    $(eval $(call DEFINE_OBJECT_RULE,HOST,$(src))))

$(GEN_MANPAGE_OPTS): $(GEN_MANPAGE_OPTS_OBJS)
	$(call quiet_cmd,HOST_LINK) \
	    $(HOST_CFLAGS) $(HOST_LDFLAGS) $(HOST_BIN_LDFLAGS) $^ -o $@

$(OPTIONS_1_INC): $(GEN_MANPAGE_OPTS)
	@./$< > $@

$(MANPAGE_not_gzipped): nvidia-settings.1.m4 $(OPTIONS_1_INC) $(VERSION_MK)
	$(call quiet_cmd,M4) \
	  -D__HEADER__=$(AUTO_TEXT) \
	  -D__BUILD_OS__=$(TARGET_OS) \
	  -D__VERSION__=$(NVIDIA_VERSION) \
	  -D__DATE__="`$(DATE) +%F`" \
	  -I $(OUTPUTDIR) \
	  $< > $@

$(MANPAGE_gzipped): $(MANPAGE_not_gzipped)
	$(GZIP_CMD) -9f < $< > $@

=== samples/Makefile ===
#
# NV-CONTROL samples: Sample tools for configuring the NVIDIA X driver on Unix
# and Linux systems.
#
# Copyright (c) 2010 NVIDIA, Corporation
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice (including the next
# paragraph) shall be included in all copies or substantial portions of the
# Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#

##############################################################################
# include common variables and functions
##############################################################################

UTILS_MK_DIR ?= ..

include $(UTILS_MK_DIR)/utils.mk


##############################################################################
# The calling Makefile may export any of the following variables; we
# assign default values if they are not exported by the caller
##############################################################################

ifndef X_LDFLAGS
  ifeq ($(TARGET_OS)-$(TARGET_ARCH),Linux-x86_64)
    X_LDFLAGS          = -L/usr/X11R6/lib64
  else
    X_LDFLAGS          = -L/usr/X11R6/lib
  endif
endif

X_CFLAGS              ?=

LIBXNVCTRL_DIR        ?= ../src/libXNVCtrl

CFLAGS                += $(X_CFLAGS)
CFLAGS                += -I $(LIBXNVCTRL_DIR)

LDFLAGS               += $(X_LDFLAGS)
LDFLAGS               += -L $(LIBXNVCTRL_DIR)
LIBS                  += -lXNVCtrl -lXext -lX11


##############################################################################
# samples
##############################################################################

SAMPLE_SOURCES        += nv-control-info.c
SAMPLE_SOURCES        += nv-control-dvc.c
SAMPLE_SOURCES        += nv-control-events.c
SAMPLE_SOURCES        += nv-control-dpy.c
SAMPLE_SOURCES        += nv-control-targets.c
SAMPLE_SOURCES        += nv-control-framelock.c
SAMPLE_SOURCES        += nv-control-gvi.c
SAMPLE_SOURCES        += nv-control-3dvisionpro.c
SAMPLE_SOURCES        += nv-control-warpblend.c

##############################################################################
# build rules
##############################################################################

.PHONY: all clean clobber install

# define the rule to build each object file
$(foreach src, $(SAMPLE_SOURCES), $(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))

# define the rule to link each sample app from its corresponding object file
define link_sample_from_object
  $$(OUTPUTDIR)/$(1:.c=): $$(call BUILD_OBJECT_LIST,$(1))
	$$(call quiet_cmd,LINK) $$(CFLAGS) $$(LDFLAGS) $$(BIN_LDFLAGS) -o $$@ $$< $$(LIBS)
  all:: $$(OUTPUTDIR)/$(1:.c=)
  SAMPLES += $$(OUTPUTDIR)/$(1:.c=)
endef

$(foreach sample,$(SAMPLE_SOURCES),$(eval $(call link_sample_from_object,$(sample))))

clean clobber:
	rm -rf *~ $(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d $(SAMPLES)

install:
	@# don't install samples, this is just to satisfy the top-level
	@# recursion rule

=== src/Makefile ===
#
# nvidia-settings: A tool for configuring the NVIDIA X driver on Unix
# and Linux systems.
#
# Copyright (C) 2008-2012 NVIDIA Corporation.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses>.
#


##############################################################################
# include common variables and functions
##############################################################################

UTILS_MK_DIR ?= ..

include $(UTILS_MK_DIR)/utils.mk


##############################################################################
# The calling Makefile may export any of the following variables; we
# assign default values if they are not exported by the caller
##############################################################################

ifndef X_LDFLAGS
  ifeq ($(TARGET_OS)-$(TARGET_ARCH),Linux-x86_64)
    X_LDFLAGS          = -L/usr/X11R6/lib64
  else
    X_LDFLAGS          = -L/usr/X11R6/lib
  endif
endif

X_CFLAGS              ?=

PKG_CONFIG            ?= pkg-config

ifndef GTK_CFLAGS
  GTK_CFLAGS          := $(shell $(PKG_CONFIG) --cflags gtk+-2.0)
endif

ifndef GTK_LDFLAGS
  GTK_LDFLAGS         := $(shell $(PKG_CONFIG) --libs gtk+-2.0)
endif

ifndef VDPAU_CFLAGS
  VDPAU_CFLAGS        := $(shell $(PKG_CONFIG) --cflags vdpau 2> /dev/null)
  ifeq ($(VDPAU_CFLAGS),)
    VDPAU_CFLAGS       = -I /usr/include
  endif
endif

ifndef JANSSON_CFLAGS
  JANSSON_CFLAGS = -Wno-cast-qual
  ifeq ($(TARGET_ARCH),armv7l)
    JANSSON_CFLAGS += -Wno-unused-but-set-variable
  endif
endif

##############################################################################
# The XF86Config-parser, libXNVCtrl, and common-utils directories may
# be in one of two places: either elsewhere in the driver source tree
# when building nvidia-settings as part of the NVIDIA driver build (in
# which case, XNVCTRL_DIR, XNVCTRL_ARCHIVE, XCONFIG_PARSER_DIR,
# COMMON_UTILS_DIR and COMMON_UNIX_DIR should be defined by the calling
# makefile), or directly in the source directory when building from the
# nvidia-settings source tarball (in which case, the below conditional
# assignments should be used)
##############################################################################

XNVCTRL_DIR             ?= libXNVCtrl
XNVCTRL_ARCHIVE         ?= $(XNVCTRL_DIR)/libXNVCtrl.a
XCONFIG_PARSER_DIR      ?= XF86Config-parser
COMMON_UTILS_DIR        ?= common-utils
COMMON_UNIX_DIR         ?= common-unix
VIRTUAL_RESOLUTIONS_DIR ?= $(COMMON_UNIX_DIR)/virtual-resolutions

##############################################################################
# assign variables
##############################################################################

NVIDIA_SETTINGS = $(OUTPUTDIR)/nvidia-settings

NVIDIA_SETTINGS_PROGRAM_NAME = "nvidia-settings"

NVIDIA_SETTINGS_VERSION := $(NVIDIA_VERSION)

CFLAGS += $(X_CFLAGS)

ifeq ($(TARGET_OS),SunOS)
  LDFLAGS += -Wl,-rpath=/usr/X11R6/lib
  LIBS += -lscf
endif

LDFLAGS += $(X_LDFLAGS)

# Some older Linux distributions do not have the dynamic library
# libXxf86vm.so, though some newer Linux distributions do not have the
# static library libXxf86vm.a.  Statically link against libXxf86vm
# when building nvidia-settings within the NVIDIA driver build, but
# dynamically link against libXxf86vm in the public builds.
ifdef NV_LINK_LIBXXF86VM_STATICALLY
    LIBS += -Wl,-Bstatic -lXxf86vm -Wl,-Bdynamic
else
    LIBS += -lXxf86vm
endif

# Preferably, we would use pkg-config's "--libs-only-l" and
# "--libs-only-L" options to get separate GTK_LDFLAGS and GTK_LIBS,
# appending them to LDFLAGS and LIBS, respectively.  However, the
# pkg-config(1) man page cautions:
#
#     [...] Note that the union of "--libs-only-l"  and
#     "--libs-only-L"  may be smaller than "--libs", due to flags such
#     as -rdynamic.
#
# So append all of GTK_LDFLAGS to LIBS, so that LIBS can go after
# $(OBJECTS) on the link commandline, causing libraries for linking to
# be named after the objects that depend on those libraries (needed
# for "--as-needed" linker behavior).
LIBS += -lX11 -lXext -lm $(LIBDL_LIBS) $(GTK_LDFLAGS)

# Include all the source lists; dist-files.mk will define NVIDIA_SETTINGS_SRC
include src.mk
SRC        += $(NVIDIA_SETTINGS_SRC)

include $(XCONFIG_PARSER_DIR)/src.mk
SRC        += $(addprefix $(XCONFIG_PARSER_DIR)/,$(XCONFIG_PARSER_SRC))

include $(COMMON_UTILS_DIR)/src.mk
SRC        += $(addprefix $(COMMON_UTILS_DIR)/,$(COMMON_UTILS_SRC))

include $(VIRTUAL_RESOLUTIONS_DIR)/src.mk
SRC        += $(addprefix $(VIRTUAL_RESOLUTIONS_DIR)/,$(VIRTUAL_RESOLUTIONS_SRC))

SRC        += $(STAMP_C)

OBJS        = $(call BUILD_OBJECT_LIST,$(SRC))

CFLAGS     += -I .
CFLAGS     += -I image_data
CFLAGS     += -I $(XNVCTRL_DIR)
CFLAGS     += -I $(XCONFIG_PARSER_DIR)/..
CFLAGS     += -I libXNVCtrlAttributes
CFLAGS     += -I xpm_data
CFLAGS     += -I gtk+-2.x
CFLAGS     += -I jansson
CFLAGS     += -I $(COMMON_UTILS_DIR)
CFLAGS     += -I $(VIRTUAL_RESOLUTIONS_DIR)
CFLAGS     += -I $(OUTPUTDIR)
CFLAGS     += $(VDPAU_CFLAGS)
CFLAGS     += -DPROGRAM_NAME=\"nvidia-settings\"

$(call BUILD_OBJECT_LIST,$(GTK_SRC)): CFLAGS += $(GTK_CFLAGS)

$(call BUILD_OBJECT_LIST,$(JANSSON_SRC)): CFLAGS += $(JANSSON_CFLAGS)


##############################################################################
# build rules
##############################################################################

.PNONY: all install NVIDIA_SETTINGS_install clean clobber

all: $(NVIDIA_SETTINGS)

install: NVIDIA_SETTINGS_install

NVIDIA_SETTINGS_install: $(NVIDIA_SETTINGS)
	$(MKDIR) $(BINDIR)
	$(INSTALL) $(INSTALL_BIN_ARGS) $< $(BINDIR)/$(notdir $<)

$(NVIDIA_SETTINGS): $(OBJS) $(XNVCTRL_ARCHIVE)
	$(call quiet_cmd,LINK) $(CFLAGS) $(LDFLAGS) $(BIN_LDFLAGS) -o $@ $(OBJS) \
	    $(XNVCTRL_ARCHIVE) $(LIBS)
	$(call quiet_cmd,STRIP_CMD) $@

# define the rule to build each object file
$(foreach src,$(SRC),$(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))

# define the rule to generate $(STAMP_C)
$(eval $(call DEFINE_STAMP_C_RULE, $(OBJS),$(NVIDIA_SETTINGS_PROGRAM_NAME)))

clean clobber:
	rm -rf $(NVIDIA_SETTINGS) *~ $(STAMP_C) \
		$(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d

## nvidia-settings 340.46

=== debian/changelog ===
nvidia-settings (340.46-2) unstable; urgency=medium

  * d/copyright: Fix patterns and add jansson.
  * 16_gzip-n.diff: New. Use gzip -n to not embed timestamps.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Oct 2014 23:27:05 +0200

nvidia-settings (340.46-1) unstable; urgency=medium

  * New upstream release 340.46.
  * Bump Standards-Version to 3.9.6. No changes needed.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 06 Oct 2014 23:54:07 -0700

nvidia-settings (340.32-1) unstable; urgency=medium

  * New upstream release 340.32.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 19 Aug 2014 23:48:23 -0700

nvidia-settings (340.24-1) unstable; urgency=medium

  [ Vincent Cheng ]
  * New upstream release 340.24.
    - Fixed a bug that caused the "Allow G-SYNC" checkbox to be displayed in
      nvidia-settings even if the GPUs in the system are not capable of G-SYNC.
  * New upstream release 340.17.
    - Updated nvidia-settings to report all valid names for each target
      when querying target types, e.g. `nvidia-settings -q gpus`.
    - Updated the nvidia-settings Makefiles to allow nvidia-settings
      to be dynamically linked against the host system's libjansson.
      This option can be enabled by setting the NV_USE_BUNDLED_LIBJANSSON
      Makefile variable to 0.  Please note that nvidia-settings requires
      libjansson version 2.2 or later.
  * New upstream release 337.25.
    - Fixed a bug that caused duplicate entries to appear in some dropdown
      menus in the "Application Profiles" page of nvidia-setting
  * New upstream release 331.104.
    - Fixed a bug that could cause framelock status to be incorrectly
      reported in the nvidia-settings control panel on some multi-GPU
      framelock configurations.
  * Add myself to Uploaders.
  * Build against system libjansson. (Closes: #745500)
    - Add build-dep on libjansson-dev (>= 2.2).
  * Refresh patches.
  * Upload to unstable.

  [ Andreas Beckmann ]
  * Merge changes from 337.19-1.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 19 Jul 2014 16:57:31 -0700

nvidia-settings (337.19-1) experimental; urgency=medium

  * New upstream release 337.19.
    - Added nvidia-settings command line controls for over- and under-clocking
      attributes.  Please see the nvidia-settings(1) manual page for
      more details.
    - Fixed several cosmetic issues in the clock control user interface
      of nvidia-settings.
  * New upstream release 337.12.
    - Updated the display configuration page in nvidia-settings to uniquely
      identify DisplayPort 1.2 monitors by displaying the monitor GUIDs.
    - Fixed a bug that could cause ECC settings to be displayed incorrectly
      in nvidia-settings when changing ECC settings on a multi-GPU system.
    - Updated the color correction settings page in the nvidia-settings
      control panel to reflect gamma changes made by other RandR clients
      while the control panel was already running.
    - Updated the minimum required version of GTK+ from 2.2 to 2.4 for
      nvidia-settings.
  * Refresh patches 04_link_as-needed, 10_libxnvctrl_so_0, 13_clean.
  * Update symbols control files.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 22 May 2014 02:25:40 +0200

nvidia-settings (334.21-1) experimental; urgency=medium

  * New upstream release 334.21.
  * New upstream release 334.16.
    - Fixed a bug that could cause nvidia-settings to compute incorrect
      gamma ramps when adjusting the color correction sliders.
    - Updated the nvidia-settings control panel to allow the selection
      of display devices using RandR and target ID names when making
      queries targeted towards specific display devices.
    - Fixed a bug that prevented some dropdown menus in the
      nvidia-settings control panel from working correctly on older
      versions of GTK+ (e.g. 2.10.x).
    - Updated the nvidia-settings control panel to provide help text
      for application profile keys and suggestions for valid key names
      when configuring application profiles.
    - Updated the nvidia-settings control panel to populate the dropdown
      menu of stereo modes with only those modes which are available.
    - Fixed a bug that caused high pixelclock HDMI modes (e.g. as used
      with 4K resolutions) to be erroneously reported as dual-link in
      the nvidia-settings control panel.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 23 Apr 2014 15:08:11 +0200

nvidia-settings (331.79-1) unstable; urgency=medium
 
  * New upstream release 331.79.
  * Move source package and libxnvctrl{0,-dev} to main, but keep
    nvidia-settings in contrib. The library can be used to query for
    availability of the NV-CONTROL X extension.  (Closes: #747837)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 21 May 2014 23:57:25 +0200

nvidia-settings (331.67-1) unstable; urgency=medium

  * New upstream release 331.67.
    - Fixed a bug that could cause nvidia-settings to crash or display
      incorrect information after switching virtual terminals while a
      color correction confirmation countdown was active.
  * New upstream release 331.49.
  * New upstream release 319 series.
    - Updated nvidia-settings to use libjansson commit
      88aa6a9e30e7465196a737bd0f82eb17f393a120 from the repository at:
        git://github.com/akheron/jansson.git
      This commit contains the relevant fixes for CVE-2013-6401.
      (Closes: #745499)
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 22 Apr 2014 14:00:53 +0200

nvidia-settings (331.38-1) experimental; urgency=low

  * New upstream release 331.38.
    - Updated the behavior of the nvidia-settings PowerMizer Preferred
      Mode drop-down menu, to make the setting apply consistently
      across all GPUs in an SLI group.
    - Added NV-CONTROL attributes to control the brightness of the illuminated
      logos on certain graphics boards.  For example, to turn off the


=== debian/control ===
Source: nvidia-settings
Section: x11
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Fathi Boudra <fabo@debian.org>,
 Andreas Beckmann <anbe@debian.org>,
 Russ Allbery <rra@debian.org>,
 Vincent Cheng <vcheng@debian.org>
Build-Depends:
 debhelper (>= 9),
 m4,
 libgl1-mesa-dev | libgl-dev,
 libgtk2.0-dev (>= 2.4),
 libjansson-dev (>= 2.2),
 libvdpau-dev,
 libxext-dev,
 libxv-dev,
 libxxf86vm-dev,
 pkg-config,
Build-Conflicts:
 libxnvctrl-dev,
Standards-Version: 3.9.6
Homepage: ftp://download.nvidia.com/XFree86/nvidia-settings/
Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/nvidia-settings/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/nvidia-settings/

Package: nvidia-settings
Section: contrib/x11
Architecture: i386 amd64 armhf
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 pkg-config,
 ${nvidia-alternative},
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 libgl1-nvidia${nvidia:Legacy}-glx,
Breaks:
 nvidia-alternative (<< 313.30-2),
 nvidia-alternative-legacy-173xx (<< 173.14.37),
 nvidia-alternative-legacy-96xx (<< 96.43.23-4),
Description: tool for configuring the NVIDIA graphics driver${nvidia:LegacyDesc}
 The nvidia-settings utility is a tool for configuring the NVIDIA
 Linux graphics driver.  It operates by communicating with the NVIDIA
 X driver, querying and updating state as appropriate.  This
 communication is done with the NV-CONTROL X extension.
 .
 Values such as brightness and gamma, XVideo attributes, temperature,
 and OpenGL settings can be queried and configured via nvidia-settings.

Package: libxnvctrl0
Section: libs
Architecture: i386 amd64 armhf
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Description: NV-CONTROL X extension (runtime library)
 The NV-CONTROL X extension provides a mechanism for X clients to
 query and set configuration parameters of the NVIDIA X driver.
 State set by the NV-CONTROL X extension is assumed to be persistent
 only for the current server generation.
 .
 This package contains the shared library.

Package: libxnvctrl-dev
Section: libdevel
Architecture: i386 amd64 armhf
Depends:
 libxnvctrl0 (= ${binary:Version}),
 ${misc:Depends}
Breaks:
 nvidia-settings (<< 260.19.44),
Replaces:
 nvidia-settings (<< 260.19.44),
Description: NV-CONTROL X extension (development files)
 The NV-CONTROL X extension provides a mechanism for X clients to
 query and set configuration parameters of the NVIDIA X driver.
 State set by the NV-CONTROL X extension is assumed to be persistent
 only for the current server generation.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export NV_VERBOSE=1

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export DEBUG = 1
endif

export PREFIX = /usr
export NV_USE_BUNDLED_LIBJANSSON = 0

include debian/rules.defs
NVIDIA_LEGACY		?=
NVIDIA_ALTERNATIVE	?= nvidia$(legacy)-alternative
legacy			 = $(if $(NVIDIA_LEGACY),-legacy-$(NVIDIA_LEGACY)xx)
legacy_description	 = $(if $(NVIDIA_LEGACY), ($(NVIDIA_LEGACY)xx legacy version))
nvidia_private		 = nvidia$(if $(legacy),/$(patsubst -%,%,$(legacy)),/current)
watch_version		?= $(NVIDIA_LEGACY)

ALL_CONTROL	:= $(wildcard debian/nvidia-settings.*)
LEGACY_CONTROL	:= $(wildcard debian/nvidia-settings$(legacy).*)
RENAME_CONTROL	 = $(filter-out $(LEGACY_CONTROL),$(ALL_CONTROL))
RENAMED_CONTROL	 = $(patsubst debian/nvidia-settings.%,debian/nvidia-settings$(legacy).%,$(RENAME_CONTROL))
TEMPLATES	:= $(wildcard debian/*.in)
AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))
AUTOGEN		+= $(patsubst %.in,%,$(RENAMED_CONTROL))
AUTOKEEP	 = debian/watch
AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))


%:
	dh $@

override_dh_auto_build: $(AUTOGEN)
	$(RM) src/libXNVCtrl/libXNVCtrl.a
	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build -O--parallel
	$(MAKE) -C samples

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	install -m 0755 $(wildcard samples/_out/*/nv-control-dpy samples/nv-control-dpy) debian/tmp/usr/bin/
	install -m 0644 $(or $(wildcard doc/nvidia-settings.png),debian/nvidia-settings.png) debian/tmp/nvidia-settings$(legacy).png

override_dh_auto_clean:
	dh_auto_clean
	$(RM) src/libXNVCtrl/libXNVCtrl.a
	[ ! -f src/XF86Config-parser/Makefile ] || $(MAKE) -C src/XF86Config-parser clean
	[ ! -f samples/Makefile ] || $(MAKE) -C samples clean
	$(RM) -r _out */_out
	$(RM) $(AUTOCLEAN)
	$(MAKE) -f debian/rules $(AUTOKEEP)

override_dh_compress:
	dh_compress --exclude=.c --exclude=.mk

override_dh_gencontrol:
	dh_gencontrol -- -V'nvidia:Legacy=$(legacy)' \
		-V'nvidia:LegacyDesc=$(legacy_description)' \
		-V'nvidia-alternative=$(NVIDIA_ALTERNATIVE)'


# Generating control files
debian/%:: debian/%.in debian/rules debian/rules.defs
	perl -p \
		-e 's{#LEGACY#}{$(legacy)}g;' \
		-e 's{#LEGACY_DESC#}{$(legacy_description)}g;' \
		-e 's{#PRIVATE#}{$(nvidia_private)}g;' \
		-e 's{#WATCH_VERSION#}{$(watch_version)}g;' \
		< $< > $@

# Renaming control files for legacy packaging
ifneq (,$(legacy))
nvidia-settings$(legacy).%: nvidia-settings.%
	cp -a $< $@
endif

## nvidia-settings 340.93

=== debian/changelog ===
nvidia-settings (340.93-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 04 Nov 2015 18:57:31 +0100

nvidia-settings (340.93-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release 340.93.
  * d/rules: Make the build reproducible by using deterministic timestamp,
    user and hostname strings to be included in the binary. Based on patch by
    Jérémy Bobbio.  (Closes: #786637)

  [ Luca Boccassi ]
  * Change libxnvctrl0 and libxnvctrl-dev Architecture to any
  * Convert libxnvctrl0 and libxnvctrl-dev to Multi-Arch: same
  * Added myself to Uploaders

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Oct 2015 16:10:43 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
  Fathi Boudra <fabo@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
  Russ Allbery <rra@debian.org>,
- Vincent Cheng <vcheng@debian.org>
+ Vincent Cheng <vcheng@debian.org>,
+ Luca Boccassi <luca.boccassi@gmail.com>,
 Build-Depends:
  debhelper (>= 9),
  m4,
@@ -18,6 +19,7 @@
  libxv-dev,
  libxxf86vm-dev,
  pkg-config,
+ dh-exec (>= 0.3),
 Build-Conflicts:
  libxnvctrl-dev,
 Standards-Version: 3.9.6
@@ -51,7 +53,9 @@
 
 Package: libxnvctrl0
 Section: libs
-Architecture: i386 amd64 armhf
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${shlibs:Depends}, ${misc:Depends}
 Description: NV-CONTROL X extension (runtime library)
@@ -64,7 +68,8 @@
 
 Package: libxnvctrl-dev
 Section: libdevel
-Architecture: i386 amd64 armhf
+Architecture: any
+Multi-Arch: same
 Depends:
  libxnvctrl0 (= ${binary:Version}),
  ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 #export DH_VERBOSE=1
 export NV_VERBOSE=1
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 export DEBUG = 1
@@ -28,6 +30,12 @@
 AUTOKEEP	 = debian/watch
 AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))
 
+# Redefine DATE to something stable to make the build reproducible
+DATE		 = $(shell dpkg-parsechangelog -S Date)
+# Cheat for user and hostname
+WHOAMI		 = echo buildd
+HOSTNAME_CMD	 = echo debian
+export DATE WHOAMI HOSTNAME_CMD
 
 %:
 	dh $@

## nvidia-settings 361.42

=== src/Makefile ===
--- 
+++ 
@@ -44,12 +44,34 @@
 
 PKG_CONFIG            ?= pkg-config
 
-ifndef GTK_CFLAGS
-  GTK_CFLAGS          := $(shell $(PKG_CONFIG) --cflags gtk+-2.0)
-endif
-
-ifndef GTK_LDFLAGS
-  GTK_LDFLAGS         := $(shell $(PKG_CONFIG) --libs gtk+-2.0)
+ifndef GTK2_CFLAGS
+  GTK2_CFLAGS          := $(shell $(PKG_CONFIG) --cflags gtk+-2.0)
+endif
+
+ifndef GTK2_LDFLAGS
+  GTK2_LDFLAGS         := -Wl,--no-as-needed $(shell $(PKG_CONFIG) --libs gtk+-2.0)
+endif
+
+ifndef GTK3_AVAILABLE
+  GTK3_AVAILABLE := $(shell $(PKG_CONFIG) --exists gtk+-3.0 && echo 1)
+endif
+
+ifeq (1,$(GTK3_AVAILABLE))
+  ifndef GTK3_CFLAGS
+    GTK3_CFLAGS          := $(shell $(PKG_CONFIG) --cflags gtk+-3.0)
+  endif
+
+  ifndef GTK3_LDFLAGS
+    GTK3_LDFLAGS         := -Wl,--no-as-needed $(shell $(PKG_CONFIG) --libs gtk+-3.0)
+  endif
+else
+  GTK3_CFLAGS ?=
+  GTK3_LDFLAGS ?=
+endif
+
+# If GTK3_CFLAGS is set, try and build GTK3LIB
+ifdef GTK3_CFLAGS
+  BUILD_GTK3LIB = 1
 endif
 
 ifndef VDPAU_CFLAGS
@@ -59,8 +81,12 @@
   endif
 endif
 
+# These will be unused if nvidia-settings links dynamically against jansson
 ifndef JANSSON_CFLAGS
-  JANSSON_CFLAGS = -Wno-cast-qual
+  JANSSON_CFLAGS  = -Wno-cast-qual
+  JANSSON_CFLAGS += -Wno-strict-prototypes
+  JANSSON_CFLAGS += -Wno-unused-function
+  JANSSON_CFLAGS += -DHAVE_CONFIG_H
   ifeq ($(TARGET_ARCH),armv7l)
     JANSSON_CFLAGS += -Wno-unused-but-set-variable
   endif
@@ -78,6 +104,7 @@
 ##############################################################################
 
 XNVCTRL_DIR             ?= libXNVCtrl
+XNVCTRL_MAKEFILE        ?= Makefile
 XNVCTRL_ARCHIVE         ?= $(XNVCTRL_DIR)/libXNVCtrl.a
 XCONFIG_PARSER_DIR      ?= XF86Config-parser
 COMMON_UTILS_DIR        ?= common-utils
@@ -94,24 +121,69 @@
 
 NVIDIA_SETTINGS_VERSION := $(NVIDIA_VERSION)
 
+GTK2LIB_NAME = libnvidia-gtk2.so
+GTK2LIB_DIR  = $(OUTPUTDIR)/gtk2
+GTK2LIB = $(OUTPUTDIR)/$(GTK2LIB_NAME)
+GTK2LIB_SONAME = $(GTK2LIB_NAME).$(NVIDIA_SETTINGS_VERSION)
+
+ifdef BUILD_GTK3LIB
+  GTK3LIB_NAME = libnvidia-gtk3.so
+  GTK3LIB_DIR  = $(OUTPUTDIR)/gtk3
+  GTK3LIB = $(OUTPUTDIR)/$(GTK3LIB_NAME)
+  GTK3LIB_SONAME = $(GTK3LIB_NAME).$(NVIDIA_SETTINGS_VERSION)
+else
+  # This value is empty if we are not building GTK3 so that the
+  # nvidia-settings build step has this as an empty dependency.
+  GTK3LIB =
+endif
+
 CFLAGS += $(X_CFLAGS)
 
 ifeq ($(TARGET_OS),SunOS)
-  LDFLAGS += -Wl,-rpath=/usr/X11R6/lib
+  LDFLAGS += -Wl,-rpath=/usr/X11R6/lib -Wl,--export-dynamic
   LIBS += -lscf
 endif
 
 LDFLAGS += $(X_LDFLAGS)
+
+
+# Link against NVIDIA NVML library if available
+    
+# Set to 1 if NVML is available on the target system
+NVML_AVAILABLE ?= 0
+
+ifeq (1,$(NVML_AVAILABLE))
+  # Here "gdk" stands for "GPU Developer Kit", rather than gtk's lower-level
+  # "GIMP Drawing Kit"
+  NVML_CFLAGS  ?= -I /usr/include/nvidia/gdk -DNVML_AVAILABLE
+  NVML_LDFLAGS ?=
+  CFLAGS       += $(NVML_CFLAGS)
+  LDFLAGS      += $(NVML_LDFLAGS)
+  LIBS         += -lnvidia-ml
+endif
 
 # Some older Linux distributions do not have the dynamic library
 # libXxf86vm.so, though some newer Linux distributions do not have the
 # static library libXxf86vm.a.  Statically link against libXxf86vm
 # when building nvidia-settings within the NVIDIA driver build, but
 # dynamically link against libXxf86vm in the public builds.
-ifdef NV_LINK_LIBXXF86VM_STATICALLY
+NV_LINK_LIBXXF86VM_STATICALLY ?= 0
+
+ifneq ($(NV_LINK_LIBXXF86VM_STATICALLY),0)
     LIBS += -Wl,-Bstatic -lXxf86vm -Wl,-Bdynamic
 else
     LIBS += -lXxf86vm
+endif
+
+# nvidia-settings depends on libjansson >= 2.2.  If NV_USE_BUNDLED_LIBJANSSON is
+# set to a non-zero value, then nvidia-settings is linked statically against the
+# copy of libjansson bundled in the source tarball; if it is set to 0,
+# nvidia-settings is linked dynamically against the copy of libjansson on the
+# host system.  By default, nvidia-settings is linked against the bundled copy.
+NV_USE_BUNDLED_LIBJANSSON ?= 1
+
+ifeq ($(NV_USE_BUNDLED_LIBJANSSON),0)
+    LIBS += -ljansson
 endif
 
 # Preferably, we would use pkg-config's "--libs-only-l" and
@@ -127,14 +199,17 @@
 # $(OBJECTS) on the link commandline, causing libraries for linking to
 # be named after the objects that depend on those libraries (needed
 # for "--as-needed" linker behavior).
-LIBS += -lX11 -lXext -lm $(LIBDL_LIBS) $(GTK_LDFLAGS)
+LIBS += -lX11 -lXext -lm $(LIBDL_LIBS)
+
+GTK2_LIBS += $(GTK2_LDFLAGS)
+GTK3_LIBS += $(GTK3_LDFLAGS)
 
 # Include all the source lists; dist-files.mk will define NVIDIA_SETTINGS_SRC
 include src.mk
 SRC        += $(NVIDIA_SETTINGS_SRC)
 
 include $(XCONFIG_PARSER_DIR)/src.mk
-SRC        += $(addprefix $(XCONFIG_PARSER_DIR)/,$(XCONFIG_PARSER_SRC))
+XCP_SRC    += $(addprefix $(XCONFIG_PARSER_DIR)/,$(XCONFIG_PARSER_SRC))
 
 include $(COMMON_UTILS_DIR)/src.mk
 SRC        += $(addprefix $(COMMON_UTILS_DIR)/,$(COMMON_UTILS_SRC))
@@ -145,6 +220,10 @@
 SRC        += $(STAMP_C)
 
 OBJS        = $(call BUILD_OBJECT_LIST,$(SRC))
+XCP_OBJS    = $(call BUILD_OBJECT_LIST,$(XCP_SRC))
+
+GTK2_OBJS    = $(call BUILD_OBJECT_LIST_WITH_DIR,$(GTK_SRC),$(GTK2LIB_DIR))
+GTK3_OBJS    = $(call BUILD_OBJECT_LIST_WITH_DIR,$(GTK_SRC),$(GTK3LIB_DIR))
 
 CFLAGS     += -I .
 CFLAGS     += -I image_data
@@ -152,45 +231,102 @@
 CFLAGS     += -I $(XCONFIG_PARSER_DIR)/..
 CFLAGS     += -I libXNVCtrlAttributes
 CFLAGS     += -I xpm_data
-CFLAGS     += -I gtk+-2.x
-CFLAGS     += -I jansson
+
+ifneq ($(NV_USE_BUNDLED_LIBJANSSON),0)
+  CFLAGS     += -I jansson
+endif
+
 CFLAGS     += -I $(COMMON_UTILS_DIR)
 CFLAGS     += -I $(VIRTUAL_RESOLUTIONS_DIR)
 CFLAGS     += -I $(OUTPUTDIR)
 CFLAGS     += $(VDPAU_CFLAGS)
 CFLAGS     += -DPROGRAM_NAME=\"nvidia-settings\"
 
-$(call BUILD_OBJECT_LIST,$(GTK_SRC)): CFLAGS += $(GTK_CFLAGS)
-
-$(call BUILD_OBJECT_LIST,$(JANSSON_SRC)): CFLAGS += $(JANSSON_CFLAGS)
+$(call BUILD_OBJECT_LIST,$(XCP_SRC)): CFLAGS += -fPIC
+
+$(call BUILD_OBJECT_LIST_WITH_DIR,$(GTK_SRC),$(GTK2LIB_DIR)): \
+    CFLAGS += $(GTK2_CFLAGS) -fPIC -I $(XCONFIG_PARSER_DIR)/..
+
+ifdef BUILD_GTK3LIB
+  $(call BUILD_OBJECT_LIST_WITH_DIR,$(GTK_SRC),$(GTK3LIB_DIR)): \
+      CFLAGS += $(GTK3_CFLAGS) -fPIC -I $(XCONFIG_PARSER_DIR)/..
+endif
+
+ifneq ($(NV_USE_BUNDLED_LIBJANSSON),0)
+  $(call BUILD_OBJECT_LIST,$(JANSSON_SRC)): CFLAGS += $(JANSSON_CFLAGS)
+endif
 
 
 ##############################################################################
 # build rules
 ##############################################################################
 
-.PNONY: all install NVIDIA_SETTINGS_install clean clobber
-
-all: $(NVIDIA_SETTINGS)
-
-install: NVIDIA_SETTINGS_install
+.PHONY: all install NVIDIA_SETTINGS_install clean clobber build-xnvctrl
+
+all: $(NVIDIA_SETTINGS) $(GTK2LIB) $(GTK3LIB)
+
+install: NVIDIA_SETTINGS_install NVIDIA_GTKLIB_install
+
+NVIDIA_GTKLIB_install: $(GTK2LIB) $(GTK3LIB)
+	$(MKDIR) $(LIBDIR)
+	$(INSTALL) $(INSTALL_LIB_ARGS) $(GTK2LIB) \
+	    $(LIBDIR)/$(GTK2LIB_SONAME)
+ifdef BUILD_GTK3LIB
+	$(INSTALL) $(INSTALL_LIB_ARGS) $(GTK3LIB) \
+	    $(LIBDIR)/$(GTK3LIB_SONAME)
+endif
 
 NVIDIA_SETTINGS_install: $(NVIDIA_SETTINGS)
 	$(MKDIR) $(BINDIR)
 	$(INSTALL) $(INSTALL_BIN_ARGS) $< $(BINDIR)/$(notdir $<)
 
 $(NVIDIA_SETTINGS): $(OBJS) $(XNVCTRL_ARCHIVE)
-	$(call quiet_cmd,LINK) $(CFLAGS) $(LDFLAGS) $(BIN_LDFLAGS) -o $@ $(OBJS) \
-	    $(XNVCTRL_ARCHIVE) $(LIBS)
+	$(call quiet_cmd,LINK) $(CFLAGS) $(LDFLAGS) $(BIN_LDFLAGS) \
+	    -rdynamic -o $@ $(OBJS) $(XNVCTRL_ARCHIVE) $(LIBS)
 	$(call quiet_cmd,STRIP_CMD) $@
+
+$(GTK2LIB): $(GTK2_OBJS) $(XCP_OBJS) $(VERSION_MK)
+	$(call quiet_cmd,LINK) -shared $(CFLAGS) $(LDFLAGS) $(BIN_LDFLAGS) \
+	    $(XNVCTRL_ARCHIVE) $(LIBS) $(GTK2_LIBS) \
+	    -Wl,--unresolved-symbols=ignore-all -o $(GTK2LIB) \
+	    -Wl,-soname -Wl,$(GTK2LIB_SONAME) \
+	    $(GTK2_OBJS) $(XCP_OBJS)
+	$(call quiet_cmd,STRIP_CMD) $@
+
+ifdef BUILD_GTK3LIB
+$(GTK3LIB): $(GTK3_OBJS) $(XCP_OBJS) $(VERSION_MK)
+	$(call quiet_cmd,LINK) -shared $(CFLAGS) $(LDFLAGS)  $(BIN_LDFLAGS) \
+	    $(XNVCTRL_ARCHIVE) $(LIBS) $(GTK3_LIBS) \
+	    -Wl,--unresolved-symbols=ignore-all -o $(GTK3LIB) \
+	    -Wl,-soname -Wl,$(GTK3LIB_SONAME) \
+	    $(GTK3_OBJS) $(XCP_OBJS)
+	$(call quiet_cmd,STRIP_CMD) $@
+endif
 
 # define the rule to build each object file
 $(foreach src,$(SRC),$(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))
+$(foreach src,$(XCP_SRC),$(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))
 
 # define the rule to generate $(STAMP_C)
 $(eval $(call DEFINE_STAMP_C_RULE, $(OBJS),$(NVIDIA_SETTINGS_PROGRAM_NAME)))
 
+# define the rule to build $(XNVCTRL_ARCHIVE)
+$(XNVCTRL_ARCHIVE): build-xnvctrl
+
+build-xnvctrl:
+	@$(MAKE) -C $(XNVCTRL_DIR) -f $(XNVCTRL_MAKEFILE)
+
 clean clobber:
 	rm -rf $(NVIDIA_SETTINGS) *~ $(STAMP_C) \
-		$(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d
-
+		$(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d \
+		$(GTK2LIB) $(GTK3LIB) $(GTK2LIB_DIR) $(GTK3LIB_DIR)
+	@$(MAKE) -C $(XNVCTRL_DIR) -f $(XNVCTRL_MAKEFILE) clean
+
+$(foreach src,$(GTK_SRC), \
+    $(eval $(call DEFINE_OBJECT_RULE_WITH_DIR,TARGET,$(src),$(GTK2LIB_DIR))))
+
+ifdef BUILD_GTK3LIB
+$(foreach src,$(GTK_SRC), \
+    $(eval $(call DEFINE_OBJECT_RULE_WITH_DIR,TARGET,$(src),$(GTK3LIB_DIR))))
+endif
+

## nvidia-settings 367.35

=== src/Makefile ===
--- 
+++ 
@@ -280,27 +280,27 @@
 	$(MKDIR) $(BINDIR)
 	$(INSTALL) $(INSTALL_BIN_ARGS) $< $(BINDIR)/$(notdir $<)
 
-$(NVIDIA_SETTINGS): $(OBJS) $(XNVCTRL_ARCHIVE)
+$(eval $(call DEBUG_INFO_RULES, $(NVIDIA_SETTINGS)))
+$(NVIDIA_SETTINGS).unstripped: $(OBJS) $(XNVCTRL_ARCHIVE)
 	$(call quiet_cmd,LINK) $(CFLAGS) $(LDFLAGS) $(BIN_LDFLAGS) \
 	    -rdynamic -o $@ $(OBJS) $(XNVCTRL_ARCHIVE) $(LIBS)
-	$(call quiet_cmd,STRIP_CMD) $@
-
-$(GTK2LIB): $(GTK2_OBJS) $(XCP_OBJS) $(VERSION_MK)
+
+$(eval $(call DEBUG_INFO_RULES, $(GTK2LIB)))
+$(GTK2LIB).unstripped: $(GTK2_OBJS) $(XCP_OBJS) $(VERSION_MK)
 	$(call quiet_cmd,LINK) -shared $(CFLAGS) $(LDFLAGS) $(BIN_LDFLAGS) \
 	    $(XNVCTRL_ARCHIVE) $(LIBS) $(GTK2_LIBS) \
-	    -Wl,--unresolved-symbols=ignore-all -o $(GTK2LIB) \
+	    -Wl,--unresolved-symbols=ignore-all -o $@ \
 	    -Wl,-soname -Wl,$(GTK2LIB_SONAME) \
 	    $(GTK2_OBJS) $(XCP_OBJS)
-	$(call quiet_cmd,STRIP_CMD) $@
-
-ifdef BUILD_GTK3LIB
-$(GTK3LIB): $(GTK3_OBJS) $(XCP_OBJS) $(VERSION_MK)
+
+ifdef BUILD_GTK3LIB
+$(eval $(call DEBUG_INFO_RULES, $(GTK3LIB)))
+$(GTK3LIB).unstripped: $(GTK3_OBJS) $(XCP_OBJS) $(VERSION_MK)
 	$(call quiet_cmd,LINK) -shared $(CFLAGS) $(LDFLAGS)  $(BIN_LDFLAGS) \
 	    $(XNVCTRL_ARCHIVE) $(LIBS) $(GTK3_LIBS) \
-	    -Wl,--unresolved-symbols=ignore-all -o $(GTK3LIB) \
+	    -Wl,--unresolved-symbols=ignore-all -o $@ \
 	    -Wl,-soname -Wl,$(GTK3LIB_SONAME) \
 	    $(GTK3_OBJS) $(XCP_OBJS)
-	$(call quiet_cmd,STRIP_CMD) $@
 endif
 
 # define the rule to build each object file

## nvidia-settings 367.57

=== debian/changelog ===
nvidia-settings (367.57-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 18 Dec 2016 11:23:08 +0100

nvidia-settings (367.57-1) unstable; urgency=medium

  * New upstream release 367.57.  (Closes: #833617)
  * New upstream release 367.35.
    - Fixed a bug that caused a crash when exiting nvidia-settings on displays
      with 8 or 15 bit color depths.
  * New upstream release 367.18.
    - Fixed a bug that could cause nvidia-settings to crash on some systems
      when responding to events such as hotplugging DisplayPort devices.
    - Enhanced the Display Device information page in nvidia-settings with
      additional information for DisplayPort devices to reflect attributes
      which are specific to DisplayPort connections.
    - Fixed a bug which could cause deleted application profiles to appear
      when editing rules in the nvidia-settings control panel.
    * Build system allows creation of unstripped binaries.
  * New upstream release 361 series:
    - Removed the Base Mosaic configuration option from nvidia-settings on
      systems where the feature is not actually supported.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 03 Dec 2016 23:13:22 +0100

nvidia-settings (364.19-1) unstable; urgency=medium

  * New upstream release 364.19.
  * Refresh patches.
  * Fix upstream build system to allow creation of unstripped binaries.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 01 Dec 2016 10:07:31 +0100

nvidia-settings (361.45.11-1) unstable; urgency=medium

  * New upstream release 361.45.11.
  * New upstream release 361.42.
    - Limited the default concurrency level in nvidia-settings to 32, to
      avoid hitting the maximum tasks limit on systems with many CPUs.
    - Fixed a bug that caused nvidia-settings to crash when pairing glasses
      with the 3D Vision Pro transmitter on some systems.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 13 Nov 2016 13:19:12 +0100

nvidia-settings (358.16-1) unstable; urgency=medium

  * New upstream release 358.16.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 12 Nov 2016 23:29:43 +0100

nvidia-settings (355.11-1) unstable; urgency=medium

  * New upstream release 355.11.
  * New upstream release 355.06.
    - Fixed a bug that could cause the nvidia-settings control panel to
      crash when updating the display layout.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 11 Nov 2016 16:47:51 +0100

nvidia-settings (352.79-1) unstable; urgency=medium

  * New upstream release 352.79.
  * New upstream release 352.21.
    - Fixed a bug that caused the Display Configuration page of the
      nvidia-settings control panel to automatically generate layouts
      with multiple displays occupying the same position when enabling
      or disabling Base Mosaic.
    - Updated nvidia-settings to allow the use of the standard Display
      Configuration page when SLI Mosaic is enabled.
  * New upstream release 352.09.
    - Added the ability to configure the swapping behavior for quad-buffered
      stereo visuals. The driver can be configured to independently swap
      each eye as it becomes ready, to wait for both eyes to complete
      rendering before swapping, or to allow applications to specify which
      of these two behaviors is preferred by setting the swap interval.
      This setting can be adjusted in the nvidia-settings control panel, or
      via the NV-CONTROL API.
    - Fixed a regression which caused the GPU fan status display to disappear
      from the nvidia-settings control panel.
    - Added reporting of ECC error counts to the nvidia-settings control
      panel.
  * Depend on libgtk-3-0 | libgtk2.0-0, don't require both.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 11 Nov 2016 02:05:39 +0100

nvidia-settings (349.16-1) unstable; urgency=medium

  * New upstream release 349.16.
  * New upstream release 349.12.
    - Fixed a bug that caused nvidia-settings to crash when assigning an
      attribute whose value is a display ID on a system with multiple X
      screens.
    - Updated the reporting of in-use video memory in the nvidia-settings
      control panel to use the same accounting methods used in other tools
      such as nvidia-smi. nvidia-settings was not taking some allocations
      into account, e.g. framebuffer memory for the efifb console on UEFI
      systems, causing discrepancies in the values reported by different
      tools.
    - Fixed a bug that prevented GPU fan speed changes from getting reflected
      in the text box on Thermal settings page.
    - Added nvidia-settings commandline support to query the current and
      targeted GPU fan speed.
    - Added a checkbox to nvidia-settings to enable a visual indicator that
      shows when G-SYNC is being used.  This is helpful for displays that
      don't indicate themselves whether they are operating in G-SYNC mode or
      normal mode.
      This setting can also be enabled by running the command line
        nvidia-settings -a ShowGSYNCVisualIndicator=1
  * A few more files are now under the Expat license.
  * link-order.diff: New, reorder libraries and object files to allow proper
    dependency resolution.
  * Add lintian overrides for shared libraries that are actually plugins.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 10 Nov 2016 16:59:28 +0100

nvidia-settings (346.87-1) unstable; urgency=medium

  * New upstream release 346.87.
  * New upstream release 346.82.
    - Fixed a bug in nvidia-settings that caused the application to crash
      when saving the EDID to a file.
  * Build the GTK+ 3 variant, too.
  * typos.diff: Fix more typos found by lintian.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 08 Nov 2016 11:45:13 +0100

nvidia-settings (346.59-1) experimental; urgency=medium

  * New upstream release 346.59.
  * New upstream release 346.47.
    - Fixed a bug that caused Xinerama layouts which included X screens with


=== debian/control ===
--- 
+++ 
@@ -13,8 +13,9 @@
  m4,
  libgl1-mesa-dev | libgl-dev,
  libgtk2.0-dev (>= 2.4),
+ libgtk-3-dev,
  libjansson-dev (>= 2.2),
- libvdpau-dev,
+ libvdpau-dev (>= 0.9),
  libxext-dev,
  libxv-dev,
  libxxf86vm-dev,
@@ -22,10 +23,10 @@
  dh-exec (>= 0.3),
 Build-Conflicts:
  libxnvctrl-dev,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: ftp://download.nvidia.com/XFree86/nvidia-settings/
-Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/nvidia-settings/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/nvidia-settings/
+Vcs-Git: https://anonscm.debian.org/git/pkg-nvidia/nvidia-settings.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nvidia/nvidia-settings.git
 
 Package: nvidia-settings
 Section: contrib/x11
@@ -35,6 +36,7 @@
 Depends:
  pkg-config,
  ${nvidia-alternative},
+ libgtk-3-0 (>= 3.0.0) | libgtk2.0-0 (>= 2.8.0),
  ${shlibs:Depends}, ${misc:Depends}
 Recommends:
  libgl1-nvidia${nvidia:Legacy}-glx,

=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,26 @@
 #export DH_VERBOSE=1
 export NV_VERBOSE=1
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+# see FEATURE AREAS in dpkg-buildflags(1)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+include /usr/share/dpkg/buildflags.mk
+
+# Redefine DATE to something stable to make the build reproducible
+BUILDDATE		:= $(shell dpkg-parsechangelog -S Date)
+export DATE		 = date -d "$(BUILDDATE)"
+# Cheat for user and hostname
+export WHOAMI		 = echo buildd
+export HOSTNAME_CMD	 = echo debian
+
+export PREFIX		 = /usr
+export DO_STRIP		 =
+export CC_ONLY_CFLAGS	 = $(CPPFLAGS)
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-export DEBUG = 1
+export DEBUG		 = 1
 endif
 
-export PREFIX = /usr
 export NV_USE_BUNDLED_LIBJANSSON = 0
 
 include debian/rules.defs
@@ -30,12 +43,6 @@
 AUTOKEEP	 = debian/watch
 AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))
 
-# Redefine DATE to something stable to make the build reproducible
-DATE		 = $(shell dpkg-parsechangelog -S Date)
-# Cheat for user and hostname
-WHOAMI		 = echo buildd
-HOSTNAME_CMD	 = echo debian
-export DATE WHOAMI HOSTNAME_CMD
 
 %:
 	dh $@
@@ -47,7 +54,7 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
-	install -m 0755 $(wildcard samples/_out/*/nv-control-dpy samples/nv-control-dpy) debian/tmp/usr/bin/
+	install -m 0755 $(wildcard samples/_out/*/nv-control-dpy samples/_out/*/*/nv-control-dpy samples/nv-control-dpy) debian/tmp/usr/bin/
 	install -m 0644 $(or $(wildcard doc/nvidia-settings.png),debian/nvidia-settings.png) debian/tmp/nvidia-settings$(legacy).png
 
 override_dh_auto_clean:
@@ -63,6 +70,11 @@
 	dh_compress --exclude=.c --exclude=.mk
 
 override_dh_gencontrol:
+	if [ -f debian/nvidia-settings.substvars ]; then \
+		sed -ri -e 's/libgtk2.0-0 \(>= 2.8.0\)//' \
+			-e 's/libgtk-3-0 \(>= 3.0.0\)//' \
+			debian/nvidia-settings.substvars ; \
+	fi
 	dh_gencontrol -- -V'nvidia:Legacy=$(legacy)' \
 		-V'nvidia:LegacyDesc=$(legacy_description)' \
 		-V'nvidia-alternative=$(NVIDIA_ALTERNATIVE)'
